gtkmm: Gtk::Scrollable Class Reference

gtkmm 3.22.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::Scrollable Class Reference

This interface is implemented by widgets with native scrolling ability. More...

`#include <gtkmm/scrollable.h>`

Inheritance diagram for Gtk::Scrollable:
[legend]

## Public Member Functions
| Scrollable (Scrollable&& src) noexcept
Scrollable& | operator= (Scrollable&& src) noexcept
| ~Scrollable () noexcept override
GtkScrollable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkScrollable* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< Adjustment > | get_hadjustment ()
| Retrieves the Gtk::Adjustment used for horizontal scrolling. More...
Glib::RefPtr< const Adjustment > | get_hadjustment () const
| Retrieves the Gtk::Adjustment used for horizontal scrolling. More...
void | set_hadjustment (const Glib::RefPtr< Adjustment >& hadjustment)
| Sets the horizontal adjustment of the Gtk::Scrollable. More...
void | unset_hadjustment ()
| This method removes the hadjustment. More...
Glib::RefPtr< Adjustment > | get_vadjustment ()
| Retrieves the Gtk::Adjustment used for vertical scrolling. More...
Glib::RefPtr< const Adjustment > | get_vadjustment () const
| Retrieves the Gtk::Adjustment used for vertical scrolling. More...
void | set_vadjustment (const Glib::RefPtr< Adjustment >& vadjustment)
| Sets the vertical adjustment of the Gtk::Scrollable. More...
void | unset_vadjustment ()
| This method removes the vadjustment. More...
ScrollablePolicy | get_hscroll_policy () const
| Gets the horizontal Gtk::ScrollablePolicy. More...
void | set_hscroll_policy (ScrollablePolicy policy)
| Sets the Gtk::ScrollablePolicy to determine whether horizontal scrolling should start below the minimum width or below the natural width. More...
ScrollablePolicy | get_vscroll_policy () const
| Gets the vertical Gtk::ScrollablePolicy. More...
void | set_vscroll_policy (ScrollablePolicy policy)
| Sets the Gtk::ScrollablePolicy to determine whether vertical scrolling should start below the minimum height or below the natural height. More...
bool | get_border (Border& border) const
| Returns the size of a non-scrolling border around the outside of the scrollable. More...
Glib::PropertyProxy< Glib::RefPtr< Adjustment > > | property_hadjustment ()
| Horizontal Gtk::Adjustment of the scrollable widget. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Adjustment > > | property_hadjustment () const
| Horizontal Gtk::Adjustment of the scrollable widget. More...
Glib::PropertyProxy< Glib::RefPtr< Adjustment > > | property_vadjustment ()
| Verical Gtk::Adjustment of the scrollable widget. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Adjustment > > | property_vadjustment () const
| Verical Gtk::Adjustment of the scrollable widget. More...
Glib::PropertyProxy< ScrollablePolicy > | property_hscroll_policy ()
| Determines whether horizontal scrolling should start once the scrollable widget is allocated less than its minimum width or less than its natural width. More...
Glib::PropertyProxy_ReadOnly< ScrollablePolicy > | property_hscroll_policy () const
| Determines whether horizontal scrolling should start once the scrollable widget is allocated less than its minimum width or less than its natural width. More...
Glib::PropertyProxy< ScrollablePolicy > | property_vscroll_policy ()
| Determines whether vertical scrolling should start once the scrollable widget is allocated less than its minimum height or less than its natural height. More...
Glib::PropertyProxy_ReadOnly< ScrollablePolicy > | property_vscroll_policy () const
| Determines whether vertical scrolling should start once the scrollable widget is allocated less than its minimum height or less than its natural height. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Scrollable ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Scrollable > | wrap (GtkScrollable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

This interface is implemented by widgets with native scrolling ability.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

## ◆ Scrollable() [1/2]

Gtk::Scrollable::Scrollable | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ Scrollable() [2/2]

Gtk::Scrollable::Scrollable | ( | Scrollable&& | src | ) |
| noexcept

## ◆ ~Scrollable()

Gtk::Scrollable::~Scrollable | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gtk::Scrollable::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_border()

bool Gtk::Scrollable::get_border | ( | Border& | border | ) | const

Returns the size of a non-scrolling border around the outside of the scrollable.

An example for this would be treeview headers. GTK+ can use this information to display overlayed graphics, like the overshoot indication, at the right position.

Since gtkmm 3.16:

Parameters

  border | Return location for the results.

Returns
  `true` if border has been set.

## ◆ get_hadjustment() [1/2]

Glib::RefPtr<Adjustment> Gtk::Scrollable::get_hadjustment | ( |  | ) |

Retrieves the Gtk::Adjustment used for horizontal scrolling.

Since gtkmm 3.0:

Returns
  Horizontal Gtk::Adjustment.

## ◆ get_hadjustment() [2/2]

Glib::RefPtr<const Adjustment> Gtk::Scrollable::get_hadjustment | ( |  | ) | const

Retrieves the Gtk::Adjustment used for horizontal scrolling.

Since gtkmm 3.0:

Returns
  Horizontal Gtk::Adjustment.

## ◆ get_hscroll_policy()

ScrollablePolicy Gtk::Scrollable::get_hscroll_policy | ( |  | ) | const

Gets the horizontal Gtk::ScrollablePolicy.

Since gtkmm 3.0:

Returns
  The horizontal Gtk::ScrollablePolicy.

## ◆ get_type()

static GType Gtk::Scrollable::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_vadjustment() [1/2]

Glib::RefPtr<Adjustment> Gtk::Scrollable::get_vadjustment | ( |  | ) |

Retrieves the Gtk::Adjustment used for vertical scrolling.

Since gtkmm 3.0:

Returns
  Vertical Gtk::Adjustment.

## ◆ get_vadjustment() [2/2]

Glib::RefPtr<const Adjustment> Gtk::Scrollable::get_vadjustment | ( |  | ) | const

Retrieves the Gtk::Adjustment used for vertical scrolling.

Since gtkmm 3.0:

Returns
  Vertical Gtk::Adjustment.

## ◆ get_vscroll_policy()

ScrollablePolicy Gtk::Scrollable::get_vscroll_policy | ( |  | ) | const

Gets the vertical Gtk::ScrollablePolicy.

Since gtkmm 3.0:

Returns
  The vertical Gtk::ScrollablePolicy.

## ◆ gobj() [1/2]

GtkScrollable* Gtk::Scrollable::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkScrollable* Gtk::Scrollable::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

Scrollable& Gtk::Scrollable::operator= | ( | Scrollable&& | src | ) |
| noexcept

## ◆ property_hadjustment() [1/2]

Glib::PropertyProxy< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_hadjustment | ( |  | ) |

Horizontal Gtk::Adjustment of the scrollable widget.

This adjustment is shared between the scrollable widget and its parent.

Since gtkmm 3.0:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_hadjustment() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_hadjustment | ( |  | ) | const

Horizontal Gtk::Adjustment of the scrollable widget.

This adjustment is shared between the scrollable widget and its parent.

Since gtkmm 3.0:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_hscroll_policy() [1/2]

Glib::PropertyProxy< ScrollablePolicy > Gtk::Scrollable::property_hscroll_policy | ( |  | ) |

Determines whether horizontal scrolling should start once the scrollable widget is allocated less than its minimum width or less than its natural width.

Since gtkmm 3.0:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_hscroll_policy() [2/2]

Glib::PropertyProxy_ReadOnly< ScrollablePolicy > Gtk::Scrollable::property_hscroll_policy | ( |  | ) | const

Determines whether horizontal scrolling should start once the scrollable widget is allocated less than its minimum width or less than its natural width.

Since gtkmm 3.0:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_vadjustment() [1/2]

Glib::PropertyProxy< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_vadjustment | ( |  | ) |

Verical Gtk::Adjustment of the scrollable widget.

This adjustment is shared between the scrollable widget and its parent.

Since gtkmm 3.0:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_vadjustment() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_vadjustment | ( |  | ) | const

Verical Gtk::Adjustment of the scrollable widget.

This adjustment is shared between the scrollable widget and its parent.

Since gtkmm 3.0:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_vscroll_policy() [1/2]

Glib::PropertyProxy< ScrollablePolicy > Gtk::Scrollable::property_vscroll_policy | ( |  | ) |

Determines whether vertical scrolling should start once the scrollable widget is allocated less than its minimum height or less than its natural height.

Since gtkmm 3.0:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_vscroll_policy() [2/2]

Glib::PropertyProxy_ReadOnly< ScrollablePolicy > Gtk::Scrollable::property_vscroll_policy | ( |  | ) | const

Determines whether vertical scrolling should start once the scrollable widget is allocated less than its minimum height or less than its natural height.

Since gtkmm 3.0:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_hadjustment()

void Gtk::Scrollable::set_hadjustment | ( | const Glib::RefPtr< Adjustment >& | hadjustment | ) |

Sets the horizontal adjustment of the Gtk::Scrollable.

Since gtkmm 3.0:

Parameters

  hadjustment | A Gtk::Adjustment.

## ◆ set_hscroll_policy()

void Gtk::Scrollable::set_hscroll_policy | ( | ScrollablePolicy | policy | ) |

Sets the Gtk::ScrollablePolicy to determine whether horizontal scrolling should start below the minimum width or below the natural width.

Since gtkmm 3.0:

Parameters

  policy | The horizontal Gtk::ScrollablePolicy.

## ◆ set_vadjustment()

void Gtk::Scrollable::set_vadjustment | ( | const Glib::RefPtr< Adjustment >& | vadjustment | ) |

Sets the vertical adjustment of the Gtk::Scrollable.

Since gtkmm 3.0:

Parameters

  vadjustment | A Gtk::Adjustment.

## ◆ set_vscroll_policy()

void Gtk::Scrollable::set_vscroll_policy | ( | ScrollablePolicy | policy | ) |

Sets the Gtk::ScrollablePolicy to determine whether vertical scrolling should start below the minimum height or below the natural height.

Since gtkmm 3.0:

Parameters

  policy | The vertical Gtk::ScrollablePolicy.

## ◆ unset_hadjustment()

void Gtk::Scrollable::unset_hadjustment | ( |  | ) |

This method removes the hadjustment.

See also
  set_hadjustment().

## ◆ unset_vadjustment()

void Gtk::Scrollable::unset_vadjustment | ( |  | ) |

This method removes the vadjustment.

See also
  set_vadjustment().

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::Scrollable > wrap | ( | GtkScrollable * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.